Author Topic: PHP8 Ioncube not working  (Read 969 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
PHP8 Ioncube not working
« on: July 19, 2023, 12:45:49 AM »
Has anyone here also having the same issue?

I have enabled Ioncube with both php and php-fpm with successful install.
But when I load my website, it says ionCube PHP Loader needs to be installed.

Other php version seems to be working. Only with PHP8.

Offline
*
Re: PHP8 Ioncube not working
« Reply #1 on: July 20, 2023, 07:19:00 AM »
If I'm not mistaken, ionCube Loader does not currently support PHP 8.0

Offline
****
Re: PHP8 Ioncube not working
« Reply #2 on: July 21, 2023, 02:38:58 AM »
Quote
The ionCube Loader is a PHP extension that decodes and executes encoded files at run-time. It is not available when running PHP 8.0, but it is supported on PHP 8.1. If you are running PHP 8.0 and want to use ionCube, you must change the PHP version to 8.1 (or an earlier version, such as 7.4).
https://www.a2hosting.com/kb/developer-corner/php/ioncube-php-loader-unavailable-on-php-8/#:~:text=The%20ionCube%20Loader%20is%20a,version%2C%20such%20as%207.4).

Offline
****
Re: PHP8 Ioncube not working
« Reply #3 on: July 22, 2023, 03:12:46 PM »
Ditto.

IonCube skipped PHP 8.0.x, and only supports 8.1.x

https://blog.ioncube.com/2022/08/12/ioncube-php-8-1-support-faq-were-almost-ready/